Status list distribution
Analytics Events
/v2/credentials/mobile/status-lists/distributionRetrieves an object that details all existing Status lists tokens on the tenant. This public endpoint allows a relying party to consume and cache status lists. Each list in the response includes a URL where its token can be retrieved. Status list tokens that were signed by expired IACAs are excluded from the response.
This endpoint is intended for public consumption, and as such does not require authentication.
Response Format Differences:
The response structure depends on the Status List configuration format:
Draft 14 of the IETF Token Status List specification: {"status_lists": ["https://..."]}
Legacy format: {"status_lists": [{"uri": "https://..."}]}
Analytic events
- MOBILE_CREDENTIAL_STATUS_LIST_DISTRIBUTION_START
- MOBILE_CREDENTIAL_STATUS_LIST_DISTRIBUTION_SUCCESS
- MOBILE_CREDENTIAL_STATUS_LIST_DISTRIBUTION_FAIL
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/mobile/status-lists/distribution"{
"status_lists": [
"https://learn.vii.au01.mattr.global/v2/credentials/mobile/status-lists/{statusListId}/token"
]
}How would you rate this page?
Retrieve a Status list token GET
Retrieves the Status list token in CWT format. This public endpoint returns a token which contains a compressed, signed list of credential statuses. Relying parties can use this token to check the revocation status of an mDoc that references this Status list. This endpoint is intended for public consumption, and as such does not require authentication. **Token Format Differences**: The token structure depends on the Status List configuration format: **Draft 14 of the IETF Token Status List specification**: - Token header `typ`: `application/statuslist+cwt` - CBOR payload claims: `65533` (status_list), `65534` (ttl) - Status encoding: 1-bit (Valid/Invalid) **Legacy format**: - Token header `typ`: `mattr-statuslist+cwt` - CBOR payload claims: `-65538` (status_list), `-65539` (ttl) - Status encoding: 2-bit (Valid/Invalid/Suspended) ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_TOKEN_RETRIEVE_START * MOBILE_CREDENTIAL_STATUS_LIST_TOKEN_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_TOKEN_RETRIEVE_FAIL
Update mDoc status POST
Sets the status of an existing mDoc by providing its `credentialId` and the new status. Available status values depend on the Status List configuration format: **Draft 14 of the IETF Token Status List specification (1-bit encoding)**: * **valid** - Credential is valid * **invalid** - Credential is invalid (cannot be reversed) **Deprecated Legacy format (2-bit encoding)**: * **valid** - Credential is valid * **invalid** - Credential is invalid (cannot be reversed) * **suspended** - Credential is temporarily suspended The **suspended** status is deprecated and only available in legacy format. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_SET_START * MOBILE_CREDENTIAL_STATUS_SET_SUCCESS * MOBILE_CREDENTIAL_STATUS_SET_FAIL